DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# NotLesser

Compare grey values in two images

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_NotLesser ( in1, in2, out )

## DATA TYPES

binary, integer, float

## FUNCTION

This function sets each pixel in `out` to "true" when for corresponding pixels `in1` >= `in2`. This is the same as `Compare` with the `DIP_SELECT_GREATER_EQUAL` selector flag.

`in2` can be a 0D image for comparison of pixel values with a single scalar value. This leads to a functionality similar to that of `Threshold`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First input
`dip_Image` | `in2` | Second input
`dip_Image` | `out` | Output

## SEE ALSO

`Compare`, `Threshold`, `Equal`, `Greater`, `Lesser`, `NotEqual`, `NotGreater`, `SelectValue`, `NotZero`

DIPlib on-line documentation | Function reference | Global function index